# Fedora-specific information

## System-wide use
Acme.sh by default expects to be run without root privileges from the user's home directory.

This package provides a systemd timer `%{name}.timer` for automatically renewing systemwide certificates
from the root account. By default, it uses %{_sharedstatedir}/%{binname} for
configuration and %{_sharedstatedir}/%{binname}/certs for certificates. These values can
be changed by editing %{_sysconfdir}/sysconfig/%{binname}.

To interact with the systemwide %{binname}, either source & export the variables from that
file, or start %{binname} using `%{binname}-system` from a root shell (NOT with 
`sudo %{binname}`), which performs the source & export steps automatically.

## Auto-renewal of user-generated certificates
For convenience, this package also ships a systemd user timer to automate certificate
renewal for non-root users. This can be activated using `systemctl --user [enable|start} %{name}.timer`.
If you're using non-default paths for your %{binname} config, you can set these by setting the
appropriate environment variables in `~/.config/environment.d/%{binname}.conf`. You can use
%{_sysconfdir}/sysconfig/%{binname} as a template for this file.

## Bugs & issues
Please report any issues regarding the use of these systemd units to Fedora's bugtracker
https://bugzilla.redhat.com, not to the %{binname} developer's issue tracker, as these
units are only part of the Fedora package.
